Bug 1619700 - Arndale: fdt_fixup_memory_banks: num banks 8 exceeds hardcoded limit 4
Summary: Arndale: fdt_fixup_memory_banks: num banks 8 exceeds hardcoded limit 4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uboot-tools
Version: 29
Hardware: armhfp
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-08-21 14:04 UTC by Paul Whalen
Modified: 2018-09-11 12:44 UTC (History)
4 users (show)

Fixed In Version: uboot-tools-2018.09-0.4.rc3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 12:44:18 UTC


Attachments (Terms of Use)

Description Paul Whalen 2018-08-21 14:04:15 UTC
Description of problem:

Attempting to boot F29 images that include uboot-tools-2018.09-0.1.rc2.fc29 on the arndale fails

1:      Fedora-Minimal-armhfp-29-20180817.n.0 (4.18.1-300.fc29.armv7hl)
Enter choice: 1:        Fedora-Minimal-armhfp-29-20180817.n.0 (4.18.1-300.fc29.armv7hl)
Retrieving file: /initramfs-4.18.1-300.fc29.armv7hl.img
40920411 bytes read in 2133 ms (18.3 MiB/s)
Retrieving file: /vmlinuz-4.18.1-300.fc29.armv7hl
6992384 bytes read in 373 ms (17.9 MiB/s)
append: console=ttySAC2,115200n8 console=tty0  ro root=UUID=25165124-b429-42af-8013-a24a8adcafb2 
Retrieving file: /dtb-4.18.1-300.fc29.armv7hl/exynos5250-arndale.dtb
42856 bytes read in 681 ms (60.5 KiB/s)
Kernel image @ 0x42000000 [ 0x000000 - 0x6ab200 ]
## Flattened Device Tree blob at 43000000
   Booting using the fdt blob at 0x43000000
   Loading Ramdisk to 4d8f9000, end 4ffff55b ... OK
   Loading Device Tree to 4d8eb000, end 4d8f8767 ... OK
fdt_fixup_memory_banks: num banks 8 exceeds hardcoded limit 4. Recompile with higher MEMORY_BANKS_MAX?
ERROR: arch-specific fdt fixup failed
 - must RESET the board to recover.

Version-Release number of selected component (if applicable):
uboot-tools-2018.09-0.1.rcX.fc29

Comment 1 Peter Robinson 2018-08-21 14:16:24 UTC
this will be fixed in rc3 from upstream

Comment 2 Fedora Update System 2018-09-05 22:09:04 UTC
arm-trusted-firmware-1.5-4.20180830.fc29 bcm283x-firmware-20180829-3.ec3f856.fc29 uboot-tools-2018.09-0.4.rc3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-56bc88dfb2

Comment 3 Paul Whalen 2018-09-06 14:22:19 UTC
working with uboot-tools-2018.09-0.4.rc3.fc29

Comment 4 Fedora Update System 2018-09-07 05:59:55 UTC
arm-trusted-firmware-1.5-4.20180830.fc29, bcm283x-firmware-20180829-3.ec3f856.fc29, uboot-tools-2018.09-0.4.rc3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-56bc88dfb2

Comment 5 Fedora Update System 2018-09-11 12:44:18 UTC
arm-trusted-firmware-1.5-4.20180830.fc29, bcm283x-firmware-20180829-3.ec3f856.fc29, uboot-tools-2018.09-0.4.rc3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.